[arch-commits] Commit in python-pytest-cov/trunk (PKGBUILD)

Felix Yan felixonmars at gemini.archlinux.org
Mon Aug 29 19:47:06 UTC 2022


    Date: Monday, August 29, 2022 @ 19:47:06
  Author: felixonmars
Revision: 1285724

upgpkg: python-pytest-cov 3.0.0-1

Modified:
  python-pytest-cov/trunk/PKGBUILD

----------+
 PKGBUILD |   25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2022-08-29 19:45:05 UTC (rev 1285723)
+++ PKGBUILD	2022-08-29 19:47:06 UTC (rev 1285724)
@@ -2,23 +2,21 @@
 # Contributor: Sebastien LEDUC <sebastien at sleduc.fr>
 # Contributor: Andrey Mikhaylenko <neithere at gmail dot com>
 
-pkgbase=python-pytest-cov
 pkgname=python-pytest-cov
-pkgver=2.12.1
-pkgrel=6
+pkgver=3.0.0
+pkgrel=1
 pkgdesc='py.test plugin for coverage reporting with support for both centralised and distributed testing, including subprocesses and multiprocessing'
 arch=('any')
 license=('MIT')
-url='https://github.com/schlamar/pytest-cov'
-depends=('python-pytest' 'python-coverage')
+url='https://github.com/pytest-dev/pytest-cov'
+depends=('python-coverage' 'python-pytest' 'python-tomli')
 makedepends=('python-setuptools')
-checkdepends=('python-virtualenv' 'python-process-tests'
-              'python-pytest-xdist' 'python-fields')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/pytest-dev/pytest-cov/archive/v$pkgver.tar.gz")
-sha512sums=('a9893c81b7c5829c68b71e086719939c82622788fa471e2ab61f27cfb0efcc2008f09ec586ea06dba99ec1a6bf8789b8e3531c2ea8fa6435d7e45712b5cb9ea4')
+checkdepends=('python-virtualenv' 'python-process-tests' 'python-pytest-xdist' 'python-fields')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/pytest-dev/pytest-cov/archive/v$pkgver.tar.gz")
+sha512sums=('47700d477633bf810b4e3609cfb05314800b995b7b06245681b0905cf2a44f7cd1c4dc137d3dfed6fdca210c3d516fc31e3de23f0d8d5514ef1c437706a9466c')
 
 build() {
-  cd "$srcdir"/pytest-cov-$pkgver
+  cd pytest-cov-$pkgver
   python setup.py build
 }
 
@@ -25,14 +23,15 @@
 check() {
   # Hack entry points by installing it
 
-  cd "$srcdir"/pytest-cov-$pkgver
+  cd pytest-cov-$pkgver
   python setup.py install --root="$PWD/tmp_install" --optimize=1
-  PYTHONPATH="$PWD/tmp_install/usr/lib/python3.10/site-packages:$PYTHONPATH:$PWD/tests" py.test || echo "Tests failed"
+  PYTHONPATH="$PWD/tmp_install/usr/lib/python3.10/site-packages:$PYTHONPATH:$PWD/tests" pytest || echo "Tests failed"
 }
 
-package_python-pytest-cov() {
+package() {
   cd pytest-cov-$pkgver
   python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname/
 }
 
 # vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list